Package org.springframework.aop.support

# Class StaticMethodMatcherPointcutAdvisor

java.lang.Object
org.springframework.aop.support.StaticMethodMatcher
org.springframework.aop.support.StaticMethodMatcherPointcut
org.springframework.aop.support.StaticMethodMatcherPointcutAdvisor

All Implemented Interfaces:
  `Serializable`, `Advisor`, `MethodMatcher`, `Pointcut`, `PointcutAdvisor`, `org.springframework.core.Ordered`

public abstract class StaticMethodMatcherPointcutAdvisor extends StaticMethodMatcherPointcut implements PointcutAdvisor, org.springframework.core.Ordered, Serializable
Convenient base class for Advisors that are also static pointcuts. Serializable if Advice and subclass are.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.aop.MethodMatcher

`TRUE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Fields inherited from interface org.springframework.aop.Pointcut

`TRUE`

## Constructor Summary

Constructors
Constructor
Description
`StaticMethodMatcherPointcutAdvisor()`
Create a new StaticMethodMatcherPointcutAdvisor, expecting bean-style configuration.
`StaticMethodMatcherPointcutAdvisor(Advice advice)`
Create a new StaticMethodMatcherPointcutAdvisor for the given advice.

## Method Summary

Modifier and Type
Method
Description
`Advice`
`getAdvice()`
Return the advice part of this aspect.
`int`
`getOrder()`
`Pointcut`
`getPointcut()`
Get the Pointcut that drives this advisor.
`void`
`setAdvice(Advice advice)`
`void`
`setOrder(int order)`

### Methods inherited from class org.springframework.aop.support.StaticMethodMatcherPointcut

`getClassFilter, getMethodMatcher, setClassFilter`

### Methods inherited from class org.springframework.aop.support.StaticMethodMatcher

`isRuntime, matches`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.aop.Advisor

`isPerInstance`

### Methods inherited from interface org.springframework.aop.MethodMatcher

`matches`

## Constructor Details

### StaticMethodMatcherPointcutAdvisor

public StaticMethodMatcherPointcutAdvisor()
Create a new StaticMethodMatcherPointcutAdvisor, expecting bean-style configuration.

See Also:
  - `setAdvice(org.aopalliance.aop.Advice)`

### StaticMethodMatcherPointcutAdvisor

public StaticMethodMatcherPointcutAdvisor(Advice advice)
Create a new StaticMethodMatcherPointcutAdvisor for the given advice.

Parameters:
  `advice` - the Advice to use

## Method Details

### setOrder

public void setOrder(int order)

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`

### setAdvice

public void setAdvice(Advice advice)

### getAdvice

public Advice getAdvice()
Description copied from interface: `Advisor`
Return the advice part of this aspect. An advice may be an interceptor, a before advice, a throws advice, etc.

Specified by:
  `getAdvice` in interface `Advisor`
Returns:
  the advice that should apply if the pointcut matches
See Also:
  - `MethodInterceptor`
  - `BeforeAdvice`
  - `ThrowsAdvice`
  - `AfterReturningAdvice`

### getPointcut

public Pointcut getPointcut()
Description copied from interface: `PointcutAdvisor`
Get the Pointcut that drives this advisor.

Specified by:
  `getPointcut` in interface `PointcutAdvisor`